#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import setup

VERSION = open("aat_wrest/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = ["psycopg2", "pycapo"]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces-to-Archive metadata retriever.",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=["aat_wrest"],
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["aat_wrest = aat_wrest.metadata_wrester:main"]},
)
